### Method

# AppStream Provided has_item

#### Declaration [src]

    gboolean
    as_provided_has_item (
      AsProvided* prov,
      const gchar* item
    )

#### Description [src]

Check if the current `AsProvided` contains an item of the given name.

#### Parameters

`item`

  Type: `const gchar*`

  The name of a provided item, e.g. “audio/x-vorbis” (in case the provided kind is a mimetype).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if found.